using UnityEngine;

namespace SNWH
{
    public class SNWH
    {
        public static void Main()
        {
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Spider Man (Integrated Suit) <color=yellow>",
                    DescriptionOverride = "<color=white>GoldAndRed",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("SGView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SG.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);
                        Instance.GetComponent<PersonBehaviour>().SetBruiseColor(86, 62, 130);
                        Instance.GetComponent<PersonBehaviour>().SetSecondBruiseColor(154, 0, 7);
                        Instance.GetComponent<PersonBehaviour>().SetThirdBruiseColor(207, 206, 120);
                        Instance.GetComponent<PersonBehaviour>().SetRottenColour(202, 199, 104);
                        Instance.GetComponent<PersonBehaviour>().SetBloodColour(108, 0, 4);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Spider Man (Black And Gold Suit) <color=yellow>",
                    DescriptionOverride = "<color=white>BlackAndGold",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("SBGView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SBG.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);
                        Instance.GetComponent<PersonBehaviour>().SetBruiseColor(86, 62, 130);
                        Instance.GetComponent<PersonBehaviour>().SetSecondBruiseColor(154, 0, 7);
                        Instance.GetComponent<PersonBehaviour>().SetThirdBruiseColor(207, 206, 120);
                        Instance.GetComponent<PersonBehaviour>().SetRottenColour(202, 199, 104);
                        Instance.GetComponent<PersonBehaviour>().SetBloodColour(108, 0, 4);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Doctor Octavius <color=yellow>",
                    DescriptionOverride = "<color=white>Big Metal Tenticle man",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("DocOckView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("DocOck.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);
                        Instance.GetComponent<PersonBehaviour>().SetBruiseColor(86, 62, 130);
                        Instance.GetComponent<PersonBehaviour>().SetSecondBruiseColor(154, 0, 7);
                        Instance.GetComponent<PersonBehaviour>().SetThirdBruiseColor(207, 206, 120);
                        Instance.GetComponent<PersonBehaviour>().SetRottenColour(202, 199, 104);
                        Instance.GetComponent<PersonBehaviour>().SetBloodColour(108, 0, 4);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Spider Man (Spectacular Suit) <color=yellow>",
                    DescriptionOverride = "<color=white>This scene was SPECTACULAR",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("SBBView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SBB.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);
                        Instance.GetComponent<PersonBehaviour>().SetBruiseColor(86, 62, 130);
                        Instance.GetComponent<PersonBehaviour>().SetSecondBruiseColor(154, 0, 7);
                        Instance.GetComponent<PersonBehaviour>().SetThirdBruiseColor(207, 206, 120);
                        Instance.GetComponent<PersonBehaviour>().SetRottenColour(202, 199, 104);
                        Instance.GetComponent<PersonBehaviour>().SetBloodColour(108, 0, 4);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Spider Man (Tobey Maguire) <color=yellow>",
                    DescriptionOverride = "<color=white>This man is a goat",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("STMView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("STM.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);
                        Instance.GetComponent<PersonBehaviour>().SetBruiseColor(86, 62, 130);
                        Instance.GetComponent<PersonBehaviour>().SetSecondBruiseColor(154, 0, 7);
                        Instance.GetComponent<PersonBehaviour>().SetThirdBruiseColor(207, 206, 120);
                        Instance.GetComponent<PersonBehaviour>().SetRottenColour(202, 199, 104);
                        Instance.GetComponent<PersonBehaviour>().SetBloodColour(108, 0, 4);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Spider Man (Andrew Garfield) <color=yellow>",
                    DescriptionOverride = "<color=white>This man is the best spidey",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("SAGView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SAG.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);
                        Instance.GetComponent<PersonBehaviour>().SetBruiseColor(86, 62, 130);
                        Instance.GetComponent<PersonBehaviour>().SetSecondBruiseColor(154, 0, 7);
                        Instance.GetComponent<PersonBehaviour>().SetThirdBruiseColor(207, 206, 120);
                        Instance.GetComponent<PersonBehaviour>().SetRottenColour(202, 199, 104);
                        Instance.GetComponent<PersonBehaviour>().SetBloodColour(108, 0, 4);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Matt Murdock <color=yellow>",
                    DescriptionOverride = "<color=white>MCU Daredevil",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("MATTView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MATT.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);
                        Instance.GetComponent<PersonBehaviour>().SetBruiseColor(86, 62, 130);
                        Instance.GetComponent<PersonBehaviour>().SetSecondBruiseColor(154, 0, 7);
                        Instance.GetComponent<PersonBehaviour>().SetThirdBruiseColor(207, 206, 120);
                        Instance.GetComponent<PersonBehaviour>().SetRottenColour(202, 199, 104);
                        Instance.GetComponent<PersonBehaviour>().SetBloodColour(108, 0, 4);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Green Goblin (Final Fight) <color=yellow>",
                    DescriptionOverride = "<color=white>Godspeed spiderman",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("GGView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GG.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);
                        Instance.GetComponent<PersonBehaviour>().SetBruiseColor(86, 62, 130);
                        Instance.GetComponent<PersonBehaviour>().SetSecondBruiseColor(154, 0, 7);
                        Instance.GetComponent<PersonBehaviour>().SetThirdBruiseColor(207, 206, 120);
                        Instance.GetComponent<PersonBehaviour>().SetRottenColour(202, 199, 104);
                        Instance.GetComponent<PersonBehaviour>().SetBloodColour(108, 0, 4);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "The Lizard <color=yellow>",
                    DescriptionOverride = "<color=white>He wants to turn the city to lizards",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("LizardView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Lizard.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);
                        Instance.GetComponent<PersonBehaviour>().SetBruiseColor(86, 62, 130);
                        Instance.GetComponent<PersonBehaviour>().SetSecondBruiseColor(154, 0, 7);
                        Instance.GetComponent<PersonBehaviour>().SetThirdBruiseColor(207, 206, 120);
                        Instance.GetComponent<PersonBehaviour>().SetRottenColour(202, 199, 104);
                        Instance.GetComponent<PersonBehaviour>().SetBloodColour(108, 0, 4);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sand Man <color=yellow>",
                    DescriptionOverride = "<color=white>Man made of sand",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("SandManView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SandMan.png");
                        var flesh = ModAPI.LoadTexture("SandBody_Skin.png");
                        var bone = ModAPI.LoadTexture("sand_bone.png");

                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Electro <color=yellow>",
                    DescriptionOverride = "<color=white>How you like the new new?",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("ElectroView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Electro.png");
                        var flesh = ModAPI.LoadTexture("flesh_man.png");
                        var bone = ModAPI.LoadTexture("bones.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);
                        Instance.GetComponent<PersonBehaviour>().SetBruiseColor(86, 62, 130);
                        Instance.GetComponent<PersonBehaviour>().SetSecondBruiseColor(154, 0, 7);
                        Instance.GetComponent<PersonBehaviour>().SetThirdBruiseColor(207, 206, 120);
                        Instance.GetComponent<PersonBehaviour>().SetRottenColour(202, 199, 104);
                        Instance.GetComponent<PersonBehaviour>().SetBloodColour(108, 0, 4);
                    }
                }
            );
        }
    }
}